"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IosStrings = void 0;
const ios_read_1 = require("./ios-read");
const ios_write_1 = require("./ios-write");
const format_cache_1 = require("../common/format-cache");
const iOSCache = new format_cache_1.FormatCache();
class IosStrings {
    readTFile(args) {
        const iosFile = (0, ios_read_1.parseiOSFile)(args);
        iOSCache.insertFileCache(iosFile);
        const result = new Map();
        iosFile.entries.forEach((value, key) => {
            result.set(key, value.value);
        });
        return Promise.resolve(result);
    }
    writeTFile(args) {
        (0, ios_write_1.writeiOSFile)(args, iOSCache);
    }
}
exports.IosStrings = IosStrings;
