"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManualTranslation = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = (0, tslib_1.__importDefault)(require("inquirer"));
class ManualTranslation {
    async translateStrings(args) {
        const results = [];
        console.info(`Total number of questions: ${args.strings.length}`);
        console.info(`You can skip questions by pressing <ENTER> without any other character.`);
        for (const { key, value } of args.strings) {
            const result = await inquirer_1.default.prompt([
                {
                    name: "result",
                    message: `(${key}) What is '${value}' in '${args.targetLng}'?`,
                },
            ]);
            const userInput = result.result;
            if (userInput.trim().length) {
                results.push({
                    key,
                    translated: result.result,
                });
            }
        }
        return results;
    }
}
exports.ManualTranslation = ManualTranslation;
