"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.instantiateTService = exports.injectFakeService = exports.getTServiceList = void 0;
function getTServiceList() {
    return Object.keys(serviceMap);
}
exports.getTServiceList = getTServiceList;
const serviceMap = {
    openai: null,
    manual: null,
    "sync-without-translate": null,
    "google-translate": null,
    // deepl: null,
    azure: null,
};
function injectFakeService(serviceName, service) {
    fakeServiceMap[serviceName] = service;
}
exports.injectFakeService = injectFakeService;
const fakeServiceMap = {};
async function instantiateTService(service) {
    const fakeService = fakeServiceMap[service];
    if (fakeService) {
        return fakeService;
    }
    /**
     * To gain a reasonable launch-performance, we import services dynamically.
     * This is especially important for google-translate, which uses a huge bunch of packages.
     */
    switch (service) {
        case "openai":
            return new (await Promise.resolve().then(() => __importStar(require("./openai-translate")))).OpenAITranslate();
        case "azure":
            return new (await Promise.resolve().then(() => __importStar(require("./azure-translator")))).AzureTranslator();
        // case "deepl":
        //   return new (await import("./deepl")).DeepL();
        case "google-translate":
            return new (await Promise.resolve().then(() => __importStar(require("./google-translate")))).GoogleTranslate();
        case "manual":
            return new (await Promise.resolve().then(() => __importStar(require("./manual")))).ManualTranslation();
        case "sync-without-translate":
            return new (await Promise.resolve().then(() => __importStar(require("./sync-without-translate")))).SyncWithoutTranslate();
    }
}
exports.instantiateTService = instantiateTService;
