"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncWithoutTranslate = void 0;
const util_1 = require("../util/util");
class SyncWithoutTranslate {
    translateStrings(args) {
        if (args.srcLng !== args.targetLng) {
            (0, util_1.logFatal)(`'sync-without-translate' cannot translate between different languages -> You should either use equal languages or a different service`);
        }
        return Promise.resolve(args.strings.map((tString) => {
            return {
                key: tString.key,
                translated: tString.value,
            };
        }));
    }
}
exports.SyncWithoutTranslate = SyncWithoutTranslate;
