"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractVersion = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
function extractVersion(args) {
    const rootDir = (0, path_1.resolve)((0, path_1.join)(args.cliBinDir, ".."));
    try {
        const jsonStr = (0, fs_1.readFileSync)((0, path_1.join)(rootDir, "package.json"), {
            encoding: "utf8",
            flag: "r",
        });
        const packageJson = JSON.parse(jsonStr);
        return packageJson.version;
    }
    catch (e) {
        return e.toString() + "\nFailed to retrieve the version";
    }
}
exports.extractVersion = extractVersion;
